/*
 * Created on 23-jun-2003
 */
package be.ac.vub.cocompose.eclipse.editpolicies;

import org.eclipse.gef.commands.Command;
import org.eclipse.gef.editpolicies.ComponentEditPolicy;
import org.eclipse.gef.requests.GroupRequest;

import be.ac.vub.cocompose.eclipse.commands.DeleteCommand;
import be.ac.vub.cocompose.lang.core.ModelElement;

/**
 * Eclipse Component edit policy for CoCompose elements.
 * @author Dennis Wagelaar
 * @version 0.2.0
 * @since 0.2.0
 */
public class CoComposeElementEditPolicy extends ComponentEditPolicy
{
  /**
   * Creates the delete command.
   * @see org.eclipse.gef.editpolicies.ComponentEditPolicy#createDeleteCommand(org.eclipse.gef.requests.GroupRequest)
   */
  protected Command createDeleteCommand(GroupRequest request) 
  {
    DeleteCommand deleteCmd = new DeleteCommand();
    deleteCmd.setElement((ModelElement) getHost().getModel());
    return deleteCmd;
  }
}
