/*
 * Created on 25-jun-2003
 */
package be.ac.vub.cocompose.eclipse.palette;

import org.eclipse.gef.ui.palette.customize.DrawerEntryPage;

/**
 * @author Dennis Wagelaar
 * @version 0.2.0
 * @since 0.2.0
 */
public class CoComposeDrawerEntryPage extends DrawerEntryPage
{
  /**
   * @see org.eclipse.gef.ui.palette.customize.DefaultEntryPage#handleNameChanged(java.lang.String)
   */
  protected void handleNameChanged(String text) 
  {
    if (text.indexOf('*') >= 0) 
    {
      getPageContainer().showProblem(CoComposePaletteCustomizer.ERROR_MESSAGE);
    } 
    else 
    {
      super.handleNameChanged(text);
      getPageContainer().clearProblem();
    }
  }
}
